Try ERPNext Buy Support Partners Foundation

Easy Install Complete Guide Ubuntu 18.04.3 ERPNEXT V12 /Sorry! We will be back soon Don’t panic fixed

Good Day,

Fresh installed Ubuntu 18.04.3

Sharing my complete guide how to install ErpNext v12 using easy install
This guide is for the new user here like me , trial and error and search different posted fixed and its work.

First if you install using easy install I dont know why but dont run apt update and upgrade
you may try but for me its not work…

Step 1: apt-get install python3-minimal build-essential python3-setuptools
Step 2: sudo adduser [frappe-user]
Step 3: sudo usermod -aG sudo [frappe-user]
Step 4: su [frappe-user]
Step 5: export LC_ALL=C.UTF-8
Step 6 : sudo wget https://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py
Step 7: sudo -H python3 install.py --production --user [frappe-user] --mysql-root-password [mypassword] --admin-password [admin-password]

(if encountered error run again the sudo -H python3 install.py --production --user [frappe-user] --mysql-root-password [mypassword] --admin-password [admin-password]

cd
cd frappe-bench

(to configure nginx )
run

bench setup nginx
sudo ln -s pwd/config/nginx.conf /etc/nginx/conf.d/frappe-bench.conf
(for me i deleted the default file at sites-available)

sudo systemctl restart nginx

then

run
(frappe-bench)
./env/bin/pip install werkzeug==0.16.0

Sorry! We will be back soon Don’t panic fixed

because only in develop branch fixed the werkzeug not in production thats why you need to run then restart the server. and you can now browse the erpnext using the assigned ip

Hope it helps.

Thank You

5 Likes

thanks to share valuable feedback.

1 Like

This command didn’t work. Says failed to create symbolic link… file exists. Also, i deleted the default file in sites-available but i’m still stuck on the don’t panic page.

UPDATE:

Restarted server afterwards and site is up now! Thanks.

1 Like

(frappe-bench)
./env/bin/pip install werkzeug==0.16.0

run this inside frappe-bench

Yes i did run it. And like i said, even though it didn’t seem to fix the problem, i then restarted the server and everything seems okay now. Thanks for the help.

1 Like

nice, great its works to you also… yes thats i also men
tioned at the end to restart the server because its also hppen to me hehe…

thank you

1 Like

i finished the installation as well
the when i login by browser to the web site and everything is OK
but when i setting up my system doesn’t complete and this error appear to me
Request Timed Out ( Could not start up: Error in setup )

I know it is a long read, but would you tell me if you are seeing this issue :

Setup Wizard fails with “Request Timed Out ( Could not start up: Error in setup )”

@Ahmed.Khater @MartinHBramwell never encounter that error and i successfully setup wizard…

Clicked retry 3 times until it worked
or
bench --site site1.local reinstall
or
… try to install werkzeug==0.16.1 in frappe not the 0.16.0

note my ubuntu is fresh installed 18.04.3 and dont run apt update and upgrade

You say …

… but you also say …

I’m quite sure you needed three tries because you were encountering that error.

In my case I keep retrying and never succeed.

Did you check the log file:

./frappe-bench/logs/web.error.log

yes that what happened with me

Yesterday I also face same problem. and I just remove latest version and install old version.
just below 2 command from bench initialized directory:
first

./env/bin/pip uninstall Werkzeug

then

./env/bin/pip install Werkzeug==0.16.0
1 Like

@mainul

We are actually talking about two different problems!
Have you resolved:

  1. the werkzeug problem, or
  2. this one: Setup Wizard fails with “Request Timed Out ( Could not start up: Error in setup )”

Setup Wizard fails with “Request Timed Out ( Could not start up: Error in setup )”
and the problem still exist

@Ahmed.Khater

Oh God!

Is it the coronavirus??? :mask:

There’s at least four of us completely blocked by this and the lack of support is really starting to make me worried.

…and it has cost, and is still costing, me SO MUCH TIME. :face_with_symbols_over_mouth:

@MartinHBramwell Well i installed successfully following the guide here. Go to /etc/nginx/sites-available and delete the file named default. Install the Werkzeug version recommended and reboot the server. Your install should come online.

Could you tell me which one? There are too many and they contradict each other.

@MartinHBramwell i followed the install steps outlined by @sinichi19 here:

You can ignore sudo ln -s pwd /config/nginx.conf /etc/nginx/conf.d/frappe-bench.conf as it doesn’t seem to work. Just got to /etc/nginx/sites-available and delete the file “default” instead and follow the other steps as outlined. Once you’re done, reboot the server and you’ll be able to login to your install.

CAUTION: DO NOT run apt-get update and apt-get upgrade before installing. there’s a new dependency that bench doesn’t support yet so your installation will break if you update before installing.

1 Like

If that’s the root cause of what I’m seeing I’m gonna slash my wrists!!! It would mean I’ve spent the most of last month tracking down 3rd party bugs that land at just the exact moment I finish making a complex change. Two days making changes. A week tracking down why it won’t work. Gah!

Do you know which APT dependency is causing it?

@MartinHBramwell Well I was too much in a hurry trying to get my instance to work that I didn’t note the name of the dependency. It’s essentially an upgrade that is explicitly mentioned will break bench because it’s not supported yet. And true to the warning bench broke after the install. I’ll try and recreate the error later if I can and report here.